eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.9.18:8761/eureka/
  instance:
    ipAddress: 192.168.9.18
    leaseRenewalIntervalInSeconds: 30 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）
spring:
  application:
    name: upcloud-base-wh-operate

  #redis配置
  redis:
    host: 192.168.9.18
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    enabled: true #默认为true
    sender.type: rabbit
    rabbitmq.queue: trace
    tags:
      head: true
      params: true
      result: true
  sleuth:
    enable: true
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.9.18
    port: 5672
    username: admin
    password: prolog0212
    virtual-host: /upcloud
    connection-timeout: 90s
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 3
        max-concurrency: 10
        retry:
          enabled: true
        prefetch: 100
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.9.18:3306/upcloud_biz_wh_operate?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
    
prolog:
  dao:
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog0212
    host: 192.168.9.18
  service:
    item: upcloud-base-item
    inventory: upcloud-base-inventory
    warehouse: upcloud-base-wh
    platform-power: service-platform-power-base
    strategy: upcloud-base-strategy
    common: upcloud-base-common
    chain: upcloud-base-chain
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    gsp: upcloud-base-gsp
    inbound: upcloud-base-wh-inbound
    integration : service-integration
  integration:
    url: http://192.168.9.17:6070/http/service
#    url: http://192.168.9.18:9002/http/service
#    token: $2a$12$PHVUZPLUswQVz0Mj.FdzmeF5lC.eqQEGOtA8CN8OzpH7XC8Mf3ste 
    token: $2a$12$PHVUZPLUswQVz0Mj.FdzmeF5lC.eqQEGOtA8CN8OzpH7XC8Mf3ste
    instockTransforId: 286
    instockCallId: 288
    instockCallStatusId: 287
    sendAgv: 289
    sendWms: 290
    updateAgvStatus: 291
    zftFlag: true
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"
    
management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
  endpoint:
    logfile.external-file: /usr/local/logs/upcloud-base-wh-operate/192.168.9.18.9818/info.log
    health.show-details: always
    
logging:
  config: classpath:log4j2-cube.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1

feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000
